<?php
/**
 * @package Typal2woo
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

		<?php if ( 'post' == get_post_type() ) : ?>

		<div class="entry-meta">
		<?php typal2_posted_on(); ?>

<?php if ( !has_post_format( array('aside', 'quote', 'link', 'chat', 'image', 'video', 'audio', 'gallery') ) ) : ?>

                              <!--begin more meta-->
                             <?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'typal2' ) );
				if ( $categories_list && typal2_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php printf( __( '%1$s', 'typal2' ), $categories_list ); ?>
			</span>
			<?php endif; // End if categories ?>

			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'typal2' ) );
				if ( $tags_list ) :
			?>
			<span class="tags-links">
				<?php printf( __( '%1$s', 'typal2' ), $tags_list ); ?>
			</span>
			<?php endif; // End if $tags_list ?>
		<?php endif; // End if 'post' == get_post_type() ?>
                                <!--end more meta-->
<?php endif;//more meta has_post_format() ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

<?php if ( is_search() ) : // Only display Excerpts for Search ?>

	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

<?php else : ?>

	<div class="entry-content">
<?php if ( has_post_thumbnail() && !has_post_format() ) : ?>
	<div class="entry-thumbnail">
		<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('typal2-big'); ?></a>
	</div>
	<div class="entry-excerpt">	
                	<?php the_excerpt(); ?>
	</div>
	<div class="clear"></div>
<?php else : //has_post_thumbnail() ?>
<?php if ( has_post_format( array('aside', 'quote', 'link', 'chat', 'image', 'video', 'audio')) ) : ?>
	<?php the_content(); ?>
<?php else ://post_format() ?>
	<?php the_excerpt(); ?>
<?php endif; //post_format() ?>
	<?php endif; //has_post_thumbnail() ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Страницы:', 'typal2' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	<?php endif; ?>
	<footer class="entry-meta" style="text-align: right;">
			<?php if( get_post_format()!='' ) : ?>
<span class="genericon genericon-<?php echo get_post_format(); ?>" style="margin: 0 3px 0 5px;"></span><a href="<?php echo esc_url( get_post_format_link( get_post_format() ) ); ?>"><?php echo get_post_format_string( get_post_format() ); ?></a>
<?php endif;//get_post_format() ?>
                                <?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
		<span class="comments-link"><?php comments_popup_link( __( 'Оставить комментарий', 'typal2' ), __( '1 комментарий', 'typal2' ), __( 'Комментариев: %', 'typal2' ) ); ?></span>
		<?php endif; ?>

		<?php edit_post_link( __( 'Редактировать', 'typal2' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-## -->
