<?php
/**
 * Jetpack Compatibility File
 * See: http://jetpack.me/
 *
 * @package Typal2woo
 */

/**
 * Add theme support for Infinite Scroll.
 * See: http://jetpack.me/support/infinite-scroll/
 */
function typal2_jetpack_setup() {
add_theme_support( 'infinite-scroll', array(
    'type'           => 'scroll',
    'footer' => 'page',
    'container'      => 'content'
) );
}
add_action( 'after_setup_theme', 'typal2_jetpack_setup' );
